# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xiisfeaturedelegation`](#dsc_xiisfeaturedelegation): The DSC xIisFeatureDelegation resource type. Automatically generated from version 1.11.0.0
* [`dsc_xiishandler`](#dsc_xiishandler): The DSC xIisHandler resource type. Automatically generated from version 1.11.0.0
* [`dsc_xiismimetypemapping`](#dsc_xiismimetypemapping): The DSC xIisMimeTypeMapping resource type. Automatically generated from version 1.11.0.0
* [`dsc_xiismodule`](#dsc_xiismodule): The DSC xIisModule resource type. Automatically generated from version 1.11.0.0
* [`dsc_xsslsettings`](#dsc_xsslsettings): The DSC xSSLSettings resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebapplication`](#dsc_xwebapplication): The DSC xWebApplication resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebapppool`](#dsc_xwebapppool): The DSC xWebAppPool resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebapppooldefaults`](#dsc_xwebapppooldefaults): The DSC xWebAppPoolDefaults resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebconfigkeyvalue`](#dsc_xwebconfigkeyvalue): The DSC xWebConfigKeyValue resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebsite`](#dsc_xwebsite): The DSC xWebsite resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebsitedefaults`](#dsc_xwebsitedefaults): The DSC xWebSiteDefaults resource type. Automatically generated from version 1.11.0.0
* [`dsc_xwebvirtualdirectory`](#dsc_xwebvirtualdirectory): The DSC xWebVirtualDirectory resource type. Automatically generated from version 1.11.0.0

## Resource types

### `dsc_xiisfeaturedelegation`

The DSC xIisFeatureDelegation resource type.
Automatically generated from version 1.11.0.0

#### Parameters

The following parameters are available in the `dsc_xiisfeaturedelegation` type.

##### `dsc_overridemode`

namevar

Data type: `Enum['Allow', 'Deny']`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_sectionname`

namevar

Data type: `String`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xiishandler`

The DSC xIisHandler resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xiishandler` type.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

 

#### Parameters

The following parameters are available in the `dsc_xiishandler` type.

##### `dsc_name`

namevar

Data type: `String`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xiismimetypemapping`

The DSC xIisMimeTypeMapping resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xiismimetypemapping` type.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

 

#### Parameters

The following parameters are available in the `dsc_xiismimetypemapping` type.

##### `dsc_extension`

namevar

Data type: `String`

 

##### `dsc_mimetype`

namevar

Data type: `String`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xiismodule`

The DSC xIisModule resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xiismodule` type.

##### `dsc_endpointsetup`

Data type: `Optional[Boolean]`

The End Point is setup.  Such as a Fast Cgi endpoint.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Should the module be present or absent.

##### `dsc_moduletype`

Data type: `Optional[Enum['FastCgiModule']]`

The type of the module.

##### `dsc_name`

Data type: `String`

The logical name of the module to add to IIS.

##### `dsc_requestpath`

Data type: `String`

The allowed request Path example: *.php

##### `dsc_sitename`

Data type: `Optional[String]`

The IIS Site to register the module.

##### `dsc_verb`

Data type: `Array[String]`

The supported verbs for the module.

#### Parameters

The following parameters are available in the `dsc_xiismodule` type.

##### `dsc_path`

namevar

Data type: `String`

The path to the module, usually a dll, to be added to IIS.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xsslsettings`

The DSC xSSLSettings resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xsslsettings` type.

##### `dsc_bindings`

Data type: `Array[String]`

The Bindings in which to modify for the website

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Whether the bindings should be present or absent

#### Parameters

The following parameters are available in the `dsc_xsslsettings` type.

##### `dsc_name`

namevar

Data type: `String`

Name of website in which to modify the SSL Settings

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebapplication`

The DSC xWebApplication resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebapplication` type.

##### `dsc_applicationtype`

Data type: `Optional[String]`

Adds a AutostartProvider ApplicationType

##### `dsc_authenticationinfo`

Data type: `Optional[Struct[{
              basic => Optional[Boolean],
              anonymous => Optional[Boolean],
              digest => Optional[Boolean],
              windows => Optional[Boolean]
            }]]`

Hashtable containing authentication information (Anonymous, Basic, Digest, Windows)

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Whether web application should be present or absent

##### `dsc_physicalpath`

Data type: `String`

Physical path for the web application directory

##### `dsc_preloadenabled`

Data type: `Optional[Boolean]`

Allows a Application to automatically start without a request

##### `dsc_serviceautostartenabled`

Data type: `Optional[Boolean]`

Enables Autostart on a Application.

##### `dsc_serviceautostartprovider`

Data type: `Optional[String]`

Adds a AutostartProvider

##### `dsc_sslflags`

Data type: `Optional[Array[Enum['Ssl', 'SslNegotiateCert', 'SslRequireCert']]]`

SSLFlags for the application

##### `dsc_webapppool`

Data type: `String`

Web application pool for the web application

#### Parameters

The following parameters are available in the `dsc_xwebapplication` type.

##### `dsc_name`

namevar

Data type: `String`

Name of web application

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_website`

namevar

Data type: `String`

Name of website with which web application is associated

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebapppool`

The DSC xWebAppPool resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebapppool` type.

##### `dsc_autoshutdownexe`

Data type: `Optional[String]`

Indicates an executable to run when the application pool is shut down by rapid-fail protection.

##### `dsc_autoshutdownparams`

Data type: `Optional[String]`

Indicates parameters for the executable that is specified in the autoShutdownExe property.

##### `dsc_autostart`

Data type: `Optional[Boolean]`

When set to true, indicates to the World Wide Web Publishing Service (W3SVC) that the application pool should be automatically started when it is created or when IIS is started.

##### `dsc_clrconfigfile`

Data type: `Optional[String]`

Indicates the .NET configuration file for the application pool.

##### `dsc_cpuaction`

Data type: `Optional[Enum['NoAction', 'KillW3wp', 'Throttle', 'ThrottleUnderLoad']]`

Configures the action that IIS takes when a worker process exceeds its configured CPU limit. The values that are allowed for this property are: NoAction, KillW3wp, Throttle, and ThrottleUnderLoad.

##### `dsc_cpulimit`

Data type: `Optional[Integer[0, 4294967295]]`

Configures the maximum percentage of CPU time (in 1/1000ths of one percent) that the worker processes in the application pool are allowed to consume over a period of time as indicated by the cpuResetInterval property. The value must be a valid integer between 0 and 100000.

##### `dsc_cpuresetinterval`

Data type: `Optional[String]`

Indicates the reset period (in minutes) for CPU monitoring and throttling limits on the application pool. The value must be a string representation of a TimeSpan value. The valid range (in minutes) is 0 to 1440. Setting the value of this property to 0 disables CPU monitoring.

##### `dsc_cpusmpaffinitized`

Data type: `Optional[Boolean]`

Indicates whether a particular worker process assigned to the application pool should also be assigned to a given CPU.

##### `dsc_cpusmpprocessoraffinitymask`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the hexadecimal processor mask for multi-processor computers, which indicates to which CPU the worker processes in the application pool should be bound. Before this property takes effect, the cpuSmpAffinitized property must be set to true for the application pool. The value must be a valid integer between 0 and 4294967295.

##### `dsc_cpusmpprocessoraffinitymask2`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the high-order DWORD hexadecimal processor mask for 64-bit multi-processor computers, which indicates to which CPU the worker processes in the application pool should be bound. Before this property takes effect, the cpuSmpAffinitized property must be set to true for the application pool. The value must be a valid integer between 0 and 4294967295.

##### `dsc_disallowoverlappingrotation`

Data type: `Optional[Boolean]`

Indicates whether the W3SVC service should start another worker process to replace the existing worker process while that process is shutting down. If true, the application pool recycle will happen such that the existing worker process exits before another worker process is created.

##### `dsc_disallowrotationonconfigchange`

Data type: `Optional[Boolean]`

Indicates whether the W3SVC service should rotate worker processes in the application pool when the configuration has changed. If true, the application pool will not recycle when its configuration is changed.

##### `dsc_enable32bitapponwin64`

Data type: `Optional[Boolean]`

When set to true, enables a 32-bit application to run on a computer that runs a 64-bit version of Windows.

##### `dsc_enableconfigurationoverride`

Data type: `Optional[Boolean]`

When set to true, indicates that delegated settings in Web.config files will processed for applications within this application pool. When set to false, all settings in Web.config files will be ignored for this application pool.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Indicates if the application pool exists. Set this property to Absent to ensure that the application pool does not exist. Setting it to Present (the default value) ensures that the application pool exists.

##### `dsc_identitytype`

Data type: `Optional[Enum['ApplicationPoolIdentity', 'LocalService', 'LocalSystem', 'NetworkService', 'SpecificUser']]`

Indicates the account identity under which the application pool runs. The values that are allowed for this property are: ApplicationPoolIdentity, LocalService, LocalSystem, NetworkService, and SpecificUser.

##### `dsc_idletimeout`

Data type: `Optional[String]`

Indicates the amount of time (in minutes) a worker process will remain idle before it shuts down. The value must be a string representation of a TimeSpan value and must be less than the restartTimeLimit property value. The valid range (in minutes) is 0 to 43200.

##### `dsc_idletimeoutaction`

Data type: `Optional[Enum['Terminate', 'Suspend']]`

Indicates the action to perform when the idle timeout duration has been reached. The values that are allowed for this property are: Terminate, Suspend.

##### `dsc_loadbalancercapabilities`

Data type: `Optional[Enum['HttpLevel', 'TcpLevel']]`

Indicates the response behavior of a service when it is unavailable. The values that are allowed for this property are: HttpLevel, TcpLevel. If set to HttpLevel and the application pool is stopped, HTTP.sys will return HTTP 503 error. If set to TcpLevel, HTTP.sys will reset the connection.

##### `dsc_loaduserprofile`

Data type: `Optional[Boolean]`

Indicates whether IIS loads the user profile for the application pool identity.

##### `dsc_logeventonprocessmodel`

Data type: `Optional[String]`

Indicates that IIS should generate an event log entry for each occurrence of the specified process model events.

##### `dsc_logeventonrecycle`

Data type: `Optional[String]`

Indicates that IIS should generate an event log entry for each occurrence of the specified recycling events.

##### `dsc_logontype`

Data type: `Optional[Enum['LogonBatch', 'LogonService']]`

Indicates the logon type for the process identity. The values that are allowed for this property are: LogonBatch, LogonService.

##### `dsc_managedpipelinemode`

Data type: `Optional[Enum['Integrated', 'Classic']]`

Indicates the request-processing mode that is used to process requests for managed content. The values that are allowed for this property are: Integrated, Classic.

##### `dsc_managedruntimeloader`

Data type: `Optional[String]`

Indicates the managed loader to use for pre-loading the application pool.

##### `dsc_managedruntimeversion`

Data type: `Optional[Enum['v4.0', 'v2.0', '']]`

Indicates the CLR version to be used by the application pool. The values that are allowed for this property are: v4.0, v2.0, and ''.

##### `dsc_manualgroupmembership`

Data type: `Optional[Boolean]`

Indicates whether the IIS_IUSRS group Security Identifier (SID) is added to the worker process token.

##### `dsc_maxprocesses`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the maximum number of worker processes that would be used for the application pool. The value must be a valid integer between 0 and 2147483647.

##### `dsc_orphanactionexe`

Data type: `Optional[String]`

Indicates an executable to run when a worker process is orphaned.

##### `dsc_orphanactionparams`

Data type: `Optional[String]`

Indicates parameters for the executable that is specified in the orphanActionExe property.

##### `dsc_orphanworkerprocess`

Data type: `Optional[Boolean]`

Indicates whether to assign a worker process to an orphan state instead of terminating it when the application pool fails. If true, an unresponsive worker process will be orphaned instead of terminated.

##### `dsc_passanonymoustoken`

Data type: `Optional[Boolean]`

When set to true, the Windows Process Activation Service (WAS) creates and passes a token for the built-in IUSR anonymous user account to the Anonymous authentication module. The Anonymous authentication module uses the token to impersonate the built-in account. When this property is set to false, the token will not be passed.

##### `dsc_pingingenabled`

Data type: `Optional[Boolean]`

Indicates whether pinging (health monitoring) is enabled for the worker process(es) serving this application pool.

##### `dsc_pinginterval`

Data type: `Optional[String]`

Indicates the period of time (in seconds) between health monitoring pings sent to the worker process(es) serving this application pool. The value must be a string representation of a TimeSpan value. The valid range (in seconds) is 1 to 4294967.

##### `dsc_pingresponsetime`

Data type: `Optional[String]`

Indicates the maximum time (in seconds) that a worker process is given to respond to a health monitoring ping. The value must be a string representation of a TimeSpan value. The valid range (in seconds) is 1 to 4294967.

##### `dsc_queuelength`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the maximum number of requests that HTTP.sys will queue for the application pool. The value must be a valid integer between 10 and 65535.

##### `dsc_rapidfailprotection`

Data type: `Optional[Boolean]`

Indicates whether rapid-fail protection is enabled. If true, the application pool is shut down if there are a specified number of worker process crashes within a specified time period.

##### `dsc_rapidfailprotectioninterval`

Data type: `Optional[String]`

Indicates the time interval (in minutes) during which the specified number of worker process crashes must occur before the application pool is shut down by rapid-fail protection. The value must be a string representation of a TimeSpan value. The valid range (in minutes) is 1 to 144000.

##### `dsc_rapidfailprotectionmaxcrashes`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the maximum number of worker process crashes permitted before the application pool is shut down by rapid-fail protection. The value must be a valid integer between 0 and 2147483647.

##### `dsc_restartmemorylimit`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the maximum amount of virtual memory (in KB) a worker process can consume before causing the application pool to recycle. The value must be a valid integer between 0 and 4294967295. A value of 0 means there is no limit.

##### `dsc_restartprivatememorylimit`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the maximum amount of private memory (in KB) a worker process can consume before causing the application pool to recycle. The value must be a valid integer between 0 and 4294967295. A value of 0 means there is no limit.

##### `dsc_restartrequestslimit`

Data type: `Optional[Integer[0, 4294967295]]`

Indicates the maximum number of requests the application pool can process before it is recycled. The value must be a valid integer between 0 and 4294967295. A value of 0 means the application pool can process an unlimited number of requests.

##### `dsc_restartschedule`

Data type: `Optional[Array[String]]`

Indicates a set of specific local times, in 24 hour format, when the application pool is recycled. The value must be an array of string representations of TimeSpan values. TimeSpan values must be between 00:00:00 and 23:59:59 seconds inclusive, with a granularity of 60 seconds. Setting the value of this property to '' disables the schedule.

##### `dsc_restarttimelimit`

Data type: `Optional[String]`

Indicates the period of time (in minutes) after which the application pool will recycle. The value must be a string representation of a TimeSpan value. The valid range (in minutes) is 0 to 432000. A value of 0 means the application pool does not recycle on a regular interval.

##### `dsc_setprofileenvironment`

Data type: `Optional[Boolean]`

Indicates the environment to be set based on the user profile for the new process.

##### `dsc_shutdowntimelimit`

Data type: `Optional[String]`

Indicates the period of time (in seconds) a worker process is given to finish processing requests and shut down. The value must be a string representation of a TimeSpan value. The valid range (in seconds) is 1 to 4294967.

##### `dsc_startmode`

Data type: `Optional[Enum['OnDemand', 'AlwaysRunning']]`

Indicates the startup type for the application pool. The values that are allowed for this property are: OnDemand, AlwaysRunning.

##### `dsc_startuptimelimit`

Data type: `Optional[String]`

Indicates the period of time (in seconds) a worker process is given to start up and initialize. The value must be a string representation of a TimeSpan value. The valid range (in seconds) is 1 to 4294967.

##### `dsc_state`

Data type: `Optional[Enum['Started', 'Stopped']]`

Indicates the state of the application pool. The values that are allowed for this property are: Started, Stopped.

#### Parameters

The following parameters are available in the `dsc_xwebapppool` type.

##### `dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Indicates the custom account crededentials. This property is only valid when the identityType property is set to
SpecificUser.

##### `dsc_name`

namevar

Data type: `String`

Indicates the application pool name. The value must contain between 1 and 64 characters.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebapppooldefaults`

The DSC xWebAppPoolDefaults resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebapppooldefaults` type.

##### `dsc_identitytype`

Data type: `Optional[Enum['ApplicationPoolIdentity', 'LocalService', 'LocalSystem', 'NetworkService']]`

applicationPools/applicationPoolDefaults/processModel/identityType

##### `dsc_managedruntimeversion`

Data type: `Optional[Enum['', 'v2.0', 'v4.0']]`

applicationPools/applicationPoolDefaults/managedRuntimeVersion

#### Parameters

The following parameters are available in the `dsc_xwebapppooldefaults` type.

##### `dsc_applyto`

namevar

Data type: `Enum['Machine']`

Dummy value because we need a key, always 'Machine'

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebconfigkeyvalue`

The DSC xWebConfigKeyValue resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebconfigkeyvalue` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_isattribute`

Data type: `Optional[Boolean]`

If the given key value pair is for attribute, default is element

##### `dsc_value`

Data type: `Optional[String]`

Value for AppSettings

#### Parameters

The following parameters are available in the `dsc_xwebconfigkeyvalue` type.

##### `dsc_configsection`

namevar

Data type: `Enum['AppSettings']`

Config Section to be update

##### `dsc_key`

namevar

Data type: `String`

Key for AppSettings

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_websitepath`

namevar

Data type: `String`

Path to website location(IIS or WebAdministration format)

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebsite`

The DSC xWebsite resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebsite` type.

##### `dsc_applicationpool`

Data type: `Optional[String]`

 

##### `dsc_applicationtype`

Data type: `Optional[String]`

Adds a AutostartProvider ApplicationType

##### `dsc_authenticationinfo`

Data type: `Optional[Struct[{
              basic => Optional[Boolean],
              anonymous => Optional[Boolean],
              digest => Optional[Boolean],
              windows => Optional[Boolean]
            }]]`

Hashtable containing authentication information (Anonymous, Basic, Digest, Windows)

##### `dsc_bindinginfo`

Data type: `Optional[Array[Struct[{
              sslflags => Optional[Enum['0', '1', '2', '3']],
              certificatestorename => Optional[Enum['My', 'WebHosting']],
              certificatethumbprint => Optional[String],
              hostname => Optional[String],
              bindinginformation => Optional[String],
              port => Optional[Integer[0, 65535]],
              ipaddress => Optional[String],
              protocol => Enum['http', 'https', 'msmq.formatname', 'net.msmq', 'net.pipe', 'net.tcp']
            }]]]`

Website's binding information in the form of an array of embedded instances of the MSFT_xWebBindingInformation CIM class.

##### `dsc_defaultpage`

Data type: `Optional[Array[String]]`

 

##### `dsc_enabledprotocols`

Data type: `Optional[String]`

 

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

 

##### `dsc_physicalpath`

Data type: `Optional[String]`

 

##### `dsc_preloadenabled`

Data type: `Optional[Boolean]`

Allows the Website to automatically start without a request

##### `dsc_serviceautostartenabled`

Data type: `Optional[Boolean]`

Enables Autostart on a Website.

##### `dsc_serviceautostartprovider`

Data type: `Optional[String]`

Adds a AutostartProvider

##### `dsc_state`

Data type: `Optional[Enum['Started', 'Stopped']]`

 

#### Parameters

The following parameters are available in the `dsc_xwebsite` type.

##### `dsc_name`

namevar

Data type: `String`

 

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebsitedefaults`

The DSC xWebSiteDefaults resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebsitedefaults` type.

##### `dsc_allowsubdirconfig`

Data type: `Optional[Enum['true', 'false']]`

sites/virtualDirectoryDefaults/allowSubDirConfig

##### `dsc_defaultapplicationpool`

Data type: `Optional[String]`

sites/applicationDefaults/applicationPool

##### `dsc_logdirectory`

Data type: `Optional[String]`

sites/siteDefaults/logFile/directory

##### `dsc_logformat`

Data type: `Optional[Enum['W3C', 'IIS', 'NCSA', 'Custom']]`

sites/siteDefaults/logFile/logFormat

##### `dsc_tracelogdirectory`

Data type: `Optional[String]`

sites/siteDefaults/traceFailedRequestsLogging/directory

#### Parameters

The following parameters are available in the `dsc_xwebsitedefaults` type.

##### `dsc_applyto`

namevar

Data type: `Enum['Machine']`

Dummy value because we need a key, always 'Machine'

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xwebvirtualdirectory`

The DSC xWebVirtualDirectory resource type.
Automatically generated from version 1.11.0.0

#### Properties

The following properties are available in the `dsc_xwebvirtualdirectory` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Whether virtual directory should be present or absent

##### `dsc_physicalpath`

Data type: `String`

Physical path for the virtual directory

#### Parameters

The following parameters are available in the `dsc_xwebvirtualdirectory` type.

##### `dsc_name`

namevar

Data type: `String`

Name of virtual directory

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_webapplication`

namevar

Data type: `String`

Web application name for the virtual directory

##### `dsc_website`

namevar

Data type: `String`

Name of website with which Web Application is associated

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

