require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xiisfeaturedelegation',
  dscmeta_resource_friendly_name: 'xIisFeatureDelegation',
  dscmeta_resource_name: 'MSFT_xIisFeatureDelegation',
  dscmeta_module_name: 'xWebAdministration',
  dscmeta_module_version: '1.11.0.0',
  docs: 'The DSC xIisFeatureDelegation resource type.
         Automatically generated from version 1.11.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_overridemode: {
      type: "Enum['Allow', 'Deny']",
      desc: ' ',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_sectionname: {
      type: 'String',
      desc: ' ',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
