require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xiismodule',
  dscmeta_resource_friendly_name: 'xIisModule',
  dscmeta_resource_name: 'MSFT_xIisModule',
  dscmeta_module_name: 'xWebAdministration',
  dscmeta_module_version: '1.11.0.0',
  docs: 'The DSC xIisModule resource type.
         Automatically generated from version 1.11.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_verb: {
      type: 'Array[String]',
      desc: 'The supported verbs for the module.',

      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String[]',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_endpointsetup: {
      type: 'Optional[Boolean]',
      desc: 'The End Point is setup.  Such as a Fast Cgi endpoint.',
      behaviour: :read_only,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'Boolean',
      mof_is_embedded: false,
    },
    dsc_ensure: {
      type: "Optional[Enum['Present', 'Absent']]",
      desc: 'Should the module be present or absent.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_requestpath: {
      type: 'String',
      desc: 'The allowed request Path example: *.php',

      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_name: {
      type: 'String',
      desc: 'The logical name of the module to add to IIS.',

      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_path: {
      type: 'String',
      desc: 'The path to the module, usually a dll, to be added to IIS.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_sitename: {
      type: 'Optional[String]',
      desc: 'The IIS Site to register the module.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_moduletype: {
      type: "Optional[Enum['FastCgiModule']]",
      desc: 'The type of the module.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
